Package org.flowable.dmn.model

# Enum Class HitPolicy

java.lang.Object
java.lang.Enum<HitPolicy>
org.flowable.dmn.model.HitPolicy

All Implemented Interfaces:
  `Serializable`, `Comparable<HitPolicy>`, `Constable`

public enum HitPolicy extends Enum<HitPolicy>

Author:
  Yvo Swillens

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ANY`
  `COLLECT`
  `FIRST`
  `OUTPUT_ORDER`
  `PRIORITY`
  `RULE_ORDER`
  `UNIQUE`
  `UNORDERED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static HitPolicy`
  `get(String value)`
  `String`
  `getValue()`
  `static HitPolicy`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static HitPolicy[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UNIQUE

    public static final HitPolicy UNIQUE

  - ### FIRST

    public static final HitPolicy FIRST

  - ### PRIORITY

    public static final HitPolicy PRIORITY

  - ### ANY

    public static final HitPolicy ANY

  - ### UNORDERED

    public static final HitPolicy UNORDERED

  - ### RULE_ORDER

    public static final HitPolicy RULE_ORDER

  - ### OUTPUT_ORDER

    public static final HitPolicy OUTPUT_ORDER

  - ### COLLECT

    public static final HitPolicy COLLECT

- ## Method Details

  - ### values

    public static HitPolicy[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static HitPolicy valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()

  - ### get

    public static HitPolicy get(String value)